WebUI issue with firefox 48 and Electrolysis

Guigui

New Member
Apr 22, 2016
8
0
1
38
Hi everybody,

A few month ago, I had a try of firefox developper edition to test Electrolysis, which seem, to me, to improve utilisation of the browser. Everything was working fine on every website, on other WebUI I was using (nas, etc), but not on proxmox: mouse clicks was not working on it, but keyboard was ok (I mean on the entire WebUI, not only on novnc console).

Went back to stable firefox version to get it working again, but now Firefox 48 is out, Electrolysis is enabled by default for 1% of users, and will be in next version for 100% users, and the problem remains !

You can see following links on how to force enabling Electrolysis to have a try.

http://www.webupd8.org/2016/08/firefox-48-released-multi-process.html
https://wiki.mozilla.org/Electrolysis#Force_Enable

I'm running firefox48 on Ubuntu 16.04, all extensions disabled, with proxmox4:

proxmox-ve: 4.2-58 (running kernel: 4.4.13-2-pve)
pve-manager: 4.2-17 (running version: 4.2-17/e1400248)
pve-kernel-4.2.6-1-pve: 4.2.6-36
pve-kernel-4.4.8-1-pve: 4.4.8-52
pve-kernel-4.4.13-2-pve: 4.4.13-58
pve-kernel-4.2.8-1-pve: 4.2.8-41
pve-kernel-4.4.10-1-pve: 4.4.10-54
lvm2: 2.02.116-pve2
corosync-pve: 2.3.5-2
libqb0: 1.0-1
pve-cluster: 4.0-43
qemu-server: 4.0-85
pve-firmware: 1.1-8
libpve-common-perl: 4.0-71
libpve-access-control: 4.0-18
libpve-storage-perl: 4.0-56
pve-libspice-server1: 0.12.8-1
vncterm: 1.2-1
pve-qemu-kvm: 2.6-1
pve-container: 1.0-71
pve-firewall: 2.0-29
pve-ha-manager: 1.0-32
ksm-control-daemon: 1.2-1
glusterfs-client: 3.5.2-2+deb8u2
lxc-pve: 1.1.5-7
lxcfs: 2.0.0-pve2
cgmanager: 0.39-pve1
criu: 1.6.0-1
zfsutils: 0.6.5.7-pve10~bpo80
drbdmanage: 0.96-1

I don't know what to look at now, any clue ?

Thanks !
Guillaume
 

dcsapak

Proxmox Staff Member
Staff member
Feb 1, 2016
8,520
1,097
164
34
Vienna
mhmm, what exactly is not working? does the javascript console print any error message?
I installed firefox 48 here, enforced e10s and had no problem using the webinterface (i could navigate, open the console, etc.)
 

Guigui

New Member
Apr 22, 2016
8
0
1
38
Thanks for your reply.

Every left click on the mouse are not working. Left click selects each button or objects on the UI, but doesn't submit them. I have to use the left click to select the button, and enter on the keyboard to validate it.

Example: the login form. If I left click on "login" button, it selects the button "login", but doesn't submit the form. If I then press enter on the keyboard, it submits the form.
Same with "create vm", "create ct", "logout", "datacenter", well everything on the page...

Same thing using private navigation.

You installed firefox 48 and enforce e10s, on what OS ? Of course you have then restarted firefox ?

Thanks !
 

Guigui

New Member
Apr 22, 2016
8
0
1
38
I tried to manually disable all extensions, restart in safe mode, or restart after deleted pref.js, same problem, and nothing on console, but this:

15:02:55,136 unreachable code after return statement1ext-all.js:22:344134
 

dcsapak

Proxmox Staff Member
Staff member
Feb 1, 2016
8,520
1,097
164
34
Vienna
yes i restarted after setting the force enable option.

i tested on debian jessie, ubuntu 16.04 and windows 10 without addons/extensions

no problems on either os...

"the unreachable code after return statement" is more a warning than an error (it also shows here, but does not hinder the behaviour)
 

Guigui

New Member
Apr 22, 2016
8
0
1
38
That's what I was thinking about, just a warning and not an error.

Well, I continue my tests, using a guest blank session on ubuntu, enabling browser.tabs.remote.autostart in about:config, disabling all extensions, restarted browser, checked in about:support line "Multiprocessus windows" is enabled, and still the same problem.

You said you have tested on ubuntu 16.04, but how did you install firefox 48 ? I tried with this ppa:
https://launchpad.net/~ubuntu-mozilla-security/+archive/ubuntu/ppa

Have you tried this on a proxmox server with a non secured certificate ?

Thank you!

Guillaume
 

dcsapak

Proxmox Staff Member
Staff member
Feb 1, 2016
8,520
1,097
164
34
Vienna

Guigui

New Member
Apr 22, 2016
8
0
1
38
Tried on Ubuntu to download the bz2 file of firefox 48, executed it in guest session, same problem... on and amd64 system, and with an untrusted and self signed certificate...
 

Guigui

New Member
Apr 22, 2016
8
0
1
38
It works on a windows 7 32bits or a windows 2008 64bits...

I will have a try this evening on an other ubuntu 16.04 at home...
 

Guigui

New Member
Apr 22, 2016
8
0
1
38
Well, can't reproduce this bug between extjs and e10s somewhere else... That makes me crazy...
 

mvrhov

Member
Jan 29, 2011
17
2
23
This is the same problem I reported after the 4.2 was announced (in anouncment thread). However I'm using Windows.

P.S. The only message in console is "unreachable code after return statement[Learn More]ext-all.js:22:344134"
 

fabian

Proxmox Staff Member
Staff member
Jan 7, 2016
8,144
1,588
164
I can't reproduce this here either (using FF49 from Ubuntu, with about:support showing "Enabled by default" for "Multiprocess Windows"). The JS console does display the warning about "unreachable code", but the GUI works just fine nevertheless ;)
 

chelmzy

New Member
Oct 15, 2016
2
0
1
26
I'm also having the same issue (FF49 in Fedora 24). It's odd because my Edgerouter Lite WebGUI was also broken by this update. Using a different browser for now.
 

Jackson

New Member
Dec 1, 2016
3
0
1
39
I'm also having this issue on FF 51 on Ubuntu (essentially no clicks work anywhere in the interface). Anyone had any luck resolving this?
 

Blinkiz

Active Member
Jan 23, 2010
32
1
28
Stockholm Sweden
Same problem for me.
Clean Firefox v50 on Ubuntu 16.04.
  1. Start a clean Firefox by creating a new profile, run "firefox --ProfileManager".
  2. about:support page shows that "Multiprocess Windows" is disabled because of not compatible addons. Proxmox web interface works.
  3. Disable "Ubuntu Modifications" extension on the page "about:addons" and then restart firefox.
  4. about:support page shows that "Multiprocess Windows" is enabled. Proxmox web interface does not work.
Bug 1223 created.
 
Last edited:

Jackson

New Member
Dec 1, 2016
3
0
1
39
Same problem for me.
Clean Firefox v50 on Ubuntu 16.04.
  1. Start a clean Firefox by creating a new profile, run "firefox --ProfileManager".
  2. about:support page shows that "Multiprocess Windows" is disabled because of not compatible addons. Proxmox web interface works.
  3. Disable "Ubuntu Modifications" extension on the page "about:addons" and then restart firefox.
  4. about:support page shows that "Multiprocess Windows" is enabled. Proxmox web interface does not work.
Bug 1223 created.
Just out of curiosity, do you have a touchscreen, Blinkinz?
 

encript

New Member
Dec 12, 2016
2
0
1
42
I am using a touch screen laptop as well. I am using Firefox 50.02. I registered to inform the community that I am not able to use the Proxmox interface using Firefox. I can use epiphany (gnome web) somewhat. I am not able to click on any of the elements. I am using Fedora 24 and 25.
 

About

The Proxmox community has been around for many years and offers help and support for Proxmox VE, Proxmox Backup Server, and Proxmox Mail Gateway.
We think our community is one of the best thanks to people like you!

Get your subscription!

The Proxmox team works very hard to make sure you are running the best software and getting stable updates and security enhancements, as well as quick enterprise support. Tens of thousands of happy customers have a Proxmox subscription. Get your own in 60 seconds.

Buy now!